# Uses of Interface
org.opensaml.xmlsec.signature.PgenCounter

Packages that use PgenCounter
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of PgenCounter in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return PgenCounter
Modifier and Type
Method
Description
`PgenCounter`
DSAKeyValue.`getPgenCounter()`
Get the PgenCounter element.
Methods in org.opensaml.xmlsec.signature with parameters of type PgenCounter
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setPgenCounter(PgenCounter newPgenCounter)`
Set the PgenCounter element.

## Uses of PgenCounter in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement PgenCounter
Modifier and Type
Class
Description
`class`
`PgenCounterImpl`
Concrete implementation of `PgenCounter`.
Fields in org.opensaml.xmlsec.signature.impl declared as PgenCounter
Modifier and Type
Field
Description
`private PgenCounter`
DSAKeyValueImpl.`pgenCounter`
PgenCounter child element.
Methods in org.opensaml.xmlsec.signature.impl that return PgenCounter
Modifier and Type
Method
Description
`PgenCounter`
PgenCounterBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`PgenCounter`
PgenCounterBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PgenCounter`
DSAKeyValueImpl.`getPgenCounter()`
Get the PgenCounter element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type PgenCounter
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setPgenCounter(PgenCounter newPgenCounter)`
Set the PgenCounter element.